/* /Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-524vcyq6ow] {
    background-color: #49b700
}

.top-row[b-524vcyq6ow] {
    height: 6.5rem;
    background-color: #F7F7F7;
    border-bottom: 2px solid #dfdfdf;
}

.navbar-brand[b-524vcyq6ow] {
    font-size: 1.1rem;
}

.oi[b-524vcyq6ow] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.section-title[b-524vcyq6ow] {
    margin-left: 20px;
    margin-bottom: 15px;
    margin-top: 15px;
    font-weight: bold;
    color: #000;
}
    .section-title[b-524vcyq6ow]:first-letter {
        border-bottom: 3px solid #49b700;
    }

    .section-title i[b-524vcyq6ow] {
        float: right;
        margin-right: 20px;
    }

.nav-item[b-524vcyq6ow] {
    font-size: 16px;
    font-weight: bold;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-524vcyq6ow] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-524vcyq6ow] {
        padding-bottom: 1rem;
    }

    .nav-item[b-524vcyq6ow]  a {
        color: #49B700;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

        .nav-item[b-524vcyq6ow]  a.active {
            background-color: rgba(73,183,0,0.2);
        }

        .nav-item[b-524vcyq6ow]  a:hover {
            background-color: rgba(73,183,0,0.1);
        }

@media (min-width: 641px) {
    .navbar-toggler[b-524vcyq6ow] {
        display: none;
    }

    .collapse[b-524vcyq6ow] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-htszgrnzd7],
.components-reconnect-repeated-attempt-visible[b-htszgrnzd7],
.components-reconnect-failed-visible[b-htszgrnzd7],
.components-pause-visible[b-htszgrnzd7],
.components-resume-failed-visible[b-htszgrnzd7],
.components-rejoining-animation[b-htszgrnzd7] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-htszgrnzd7],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-htszgrnzd7],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-htszgrnzd7],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-htszgrnzd7],
#components-reconnect-modal.components-reconnect-retrying[b-htszgrnzd7],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-htszgrnzd7],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-htszgrnzd7],
#components-reconnect-modal.components-reconnect-failed[b-htszgrnzd7],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-htszgrnzd7] {
    display: block;
}


#components-reconnect-modal[b-htszgrnzd7] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-htszgrnzd7 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-htszgrnzd7 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-htszgrnzd7 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-htszgrnzd7]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-htszgrnzd7 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-htszgrnzd7 {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-htszgrnzd7 {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-htszgrnzd7 {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-htszgrnzd7] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-htszgrnzd7] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-htszgrnzd7] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-htszgrnzd7] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-htszgrnzd7] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-htszgrnzd7] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-htszgrnzd7] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-htszgrnzd7 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-htszgrnzd7] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-htszgrnzd7 {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
